IF NOT EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[pub_address2]') AND type = 'U')
CREATE TABLE [dbo].[pub_address2]
(
    [addr_x] decimal(18, 10) NOT NULL DEFAULT((0)),
    [addr_y] decimal(18, 10) NOT NULL DEFAULT((0)),
    [addr_location] nvarchar(300) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    CONSTRAINT [PK_pub_address2] PRIMARY KEY ([addr_x] ASC)
    CONSTRAINT [PK_pub_address2] PRIMARY KEY ([addr_y] ASC)
)